package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 peop_info
 * 
 * @author dgtly
 * @date 2020-02-14
 */
public class PeopInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 所属用户id */
    private Long userId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long belongCommunityId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String isWuhan;

    /** 居住地址 */
    @Excel(name = "居住地址")
    private String address;

    /** 出入证二维码 */
    @Excel(name = "出入证二维码")
    private String qrCode;

    /** 常驻人数 */
    @Excel(name = "常驻人数")
    private Long residentNum;

    /** 与屋主关系 */
    @Excel(name = "与屋主关系")
    private String householdRelation;

    /** 房产证或租房合同 */
    @Excel(name = "房产证或租房合同")
    private String ownership;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setBelongCommunityId(Long belongCommunityId) 
    {
        this.belongCommunityId = belongCommunityId;
    }

    public Long getBelongCommunityId() 
    {
        return belongCommunityId;
    }
    public void setIsWuhan(String isWuhan) 
    {
        this.isWuhan = isWuhan;
    }

    public String getIsWuhan() 
    {
        return isWuhan;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setResidentNum(Long residentNum) 
    {
        this.residentNum = residentNum;
    }

    public Long getResidentNum() 
    {
        return residentNum;
    }
    public void setHouseholdRelation(String householdRelation) 
    {
        this.householdRelation = householdRelation;
    }

    public String getHouseholdRelation() 
    {
        return householdRelation;
    }
    public void setOwnership(String ownership) 
    {
        this.ownership = ownership;
    }

    public String getOwnership() 
    {
        return ownership;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("belongCommunityId", getBelongCommunityId())
            .append("isWuhan", getIsWuhan())
            .append("address", getAddress())
            .append("qrCode", getQrCode())
            .append("residentNum", getResidentNum())
            .append("householdRelation", getHouseholdRelation())
            .append("ownership", getOwnership())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
